View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
16024Bug reportsAccessibilitypublic2022-06-20 08:42
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.1.12 
Fixed in Version4.1.13 
Summary16024: Language changer dropdown autoupdated : keyboard navigation issue
Description

See screencast,

When using keyboard key up/down : change happen on dropdown then page is updated. No way to select need language (except space/enter to open it)

Steps To Reproduce

See screencast

Additional Information

Can not use on click : work on firefox, didn't work on Chrome

Maybe get the source of the change event ? If last key is up/down : return ???

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.1.12 github
I will donate to the project if issue is resolvedNo
Browserfirefox
Database type & versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 18186 closedDenisChenu Language changer does not work in registration page 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2020-03-25 09:01

developer   ~56761

https://github.com/LimeSurvey/LimeSurvey/pull/1400

DenisChenu

DenisChenu

2020-03-27 09:08

developer   ~56795

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29756

lime_release_bot

lime_release_bot

2020-03-31 11:08

administrator   ~56849

Fixed in Release 4.1.14+200331

Related Changesets

LimeSurvey: master 3a9f30f2

2020-03-27 09:08:45

DenisChenu


Committer: GitHub Details Diff
Fixed issue 16024: Language changer dropdown autoupdated : keybord navigation issue

Dev: checked on chrome and firefox
Dev: disable change if last key was key up or down on select (not for chrome)
Dev: review js comments, add link to w3c detail
Affected Issues
16024
mod - assets/packages/limesurvey/survey.js Diff File

Issue History

Date Modified Username Field Change
2020-03-23 18:45 DenisChenu New Issue
2020-03-23 18:45 DenisChenu Assigned To => DenisChenu
2020-03-23 18:45 DenisChenu Status new => assigned
2020-03-24 10:11 DenisChenu Summary 14211: Language changer dropdown autoupdated : kaybord navigation issue => Language changer dropdown autoupdated : kaybord navigation issue
2020-03-24 10:23 DenisChenu File Added: Peek debug0.gif
2020-03-24 10:23 DenisChenu File Added: Peek debug2.gif
2020-03-24 10:23 DenisChenu File Deleted: Peek debug0.gif
2020-03-24 10:23 DenisChenu File Deleted: Peek debug2.gif
2020-03-24 17:09 DenisChenu Summary Language changer dropdown autoupdated : kaybord navigation issue => Language changer dropdown autoupdated : keyboard navigation issue
2020-03-25 09:01 DenisChenu Note Added: 56761
2020-03-27 09:08 DenisChenu Changeset attached => LimeSurvey master 3a9f30f2
2020-03-27 09:08 DenisChenu Note Added: 56795
2020-03-27 09:08 DenisChenu Resolution open => fixed
2020-03-27 09:09 DenisChenu Status assigned => resolved
2020-03-27 09:09 DenisChenu Fixed in Version => 4.1.13
2020-03-31 11:08 lime_release_bot Note Added: 56849
2020-03-31 11:08 lime_release_bot Status resolved => closed
2022-06-20 08:42 DenisChenu Relationship added related to 18186